tomee-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Blevins (JIRA)" <j...@apache.org>
Subject [jira] Updated: (OPENEJB-1269) Remove Spring deps from ActiveMQ 5 RA
Date Tue, 19 Oct 2010 02:58:34 GMT

     [ https://issues.apache.org/jira/browse/OPENEJB-1269?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

David Blevins updated OPENEJB-1269:
-----------------------------------

          Environment: OpenEJB 3.2-SNAPSHOT  (was: OpenEJB 3.1.3-SNAPSHOT)
    Affects Version/s:     (was: 3.1.2)
        Fix Version/s:     (was: 3.1.3)
                       3.2-beta-1
           Issue Type: Task  (was: Improvement)

> Remove Spring deps from ActiveMQ 5 RA
> -------------------------------------
>
>                 Key: OPENEJB-1269
>                 URL: https://issues.apache.org/jira/browse/OPENEJB-1269
>             Project: OpenEJB
>          Issue Type: Task
>          Components: connectors
>         Environment: OpenEJB 3.2-SNAPSHOT
>            Reporter: Jean-Louis MONTEIRO
>            Assignee: Andy Gumbrecht
>             Fix For: 3.2-beta-1
>
>
> Andy,
> since upgrade to AMQ 5.x (OPENEJB-1227) we have a dependency to Spring.
> Here is an extract from: mvn dependency:tree
> [INFO] +- org.apache.activemq:activemq-core:jar:5.3.1:compile
> [INFO] |  +- commons-logging:commons-logging-api:jar:1.1:compile
> [INFO] |  +- org.apache.activemq:activeio-core:jar:3.1.2:compile
> [INFO] |  |  \- org.apache.geronimo.specs:geronimo-j2ee-management_1.1_spec:jar:1.0.1:compile
> [INFO] |  +- org.apache.activemq:kahadb:jar:5.3.1:compile
> [INFO] |  +- org.apache.activemq.protobuf:activemq-protobuf:jar:1.0:compile
> [INFO] |  +- org.osgi:org.osgi.core:jar:4.1.0:compile
> [INFO] |  +- org.springframework.osgi:spring-osgi-core:jar:1.2.1:compile
> [INFO] |  |  \- org.springframework.osgi:spring-osgi-io:jar:1.2.1:compile
> [INFO] |  +- org.springframework:spring-context:jar:2.5.6:compile
> [INFO] |  |  +- aopalliance:aopalliance:jar:1.0:compile
> [INFO] |  |  +- org.springframework:spring-beans:jar:2.5.6:compile
> [INFO] |  |  \- org.springframework:spring-core:jar:2.5.6:compile
> [INFO] |  \- commons-net:commons-net:jar:2.0:compile
> Can you have a look and see if we can exclude Spring deps?

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message